Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.markerimpl
Class MarkerMarkupProvider

    java.lang.Object
      org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleMarkupProvider
          org.eclipse.contribution.visualiser.markerimpl.MarkerMarkupProvider

All Implemented Interfaces:
  IMarkupProvider

public class MarkerMarkupProvider
extends SimpleMarkupProvider

Markup provider that accompanies the ResourceContentProvider and shows any markers attached to the files being displayed.

Nested Class Summary
`class` | `MarkerMarkupProvider.StripeWithMarker`

Field Summary

Fields inherited from class org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleMarkupProvider
`markupKinds, markups`

Constructor Summary
`MarkerMarkupProvider()`

Method Summary
`void` | `deactivate()` Deactivate this provider - dispose of system resources
`org.eclipse.swt.graphics.Color` | `getColorFor(IMarkupKind kind)` Get the colour for a given kind
`boolean` | `processMouseclick(IMember member, Stripe stripe, int buttonClicked)` Process a mouse click on a stripe.

Methods inherited from class org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleMarkupProvider
`activate, addMarkup, changeMode, getAllMarkupKinds, getGroupMarkups, getMemberMarkups, hasMultipleModes, initialise, processMarkups, resetColours, setColorFor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkerMarkupProvider

    public MarkerMarkupProvider()

Method Detail

### processMouseclick

    public boolean processMouseclick(IMember member,
                                     Stripe stripe,
                                     int buttonClicked)

  Process a mouse click on a stripe. This implementation opens the editor at the location of the marker

  Specified by:
    `processMouseclick` in interface `IMarkupProvider`
  Overrides:
    `processMouseclick` in class `SimpleMarkupProvider`
  See Also:
    `org.eclipse.contribution.visualiser.interfaces.IMarkupProvider#processMouseclick(IMember, Stripe, String, int)`

### getColorFor

    public org.eclipse.swt.graphics.Color getColorFor(IMarkupKind kind)

  Description copied from class: `SimpleMarkupProvider`
  Get the colour for a given kind

  Specified by:
    `getColorFor` in interface `IMarkupProvider`
  Overrides:
    `getColorFor` in class `SimpleMarkupProvider`
  Parameters:
    `kind` - - the kind
  Returns:
    the Color for that kind

### deactivate

    public void deactivate()

  Deactivate this provider - dispose of system resources

  Specified by:
    `deactivate` in interface `IMarkupProvider`
  Overrides:
    `deactivate` in class `SimpleMarkupProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD